@font-face {
  font-family: 'Riot Sans Latin';
  src: url(/assets/RiotSans-Bold.woff2);
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
    font-family: "Mark W05 Medium";
    src: url("https://db.onlinewebfonts.com/t/b621d1ffb46493164fd62fb7a83ab0ff.eot");
    src: url("https://db.onlinewebfonts.com/t/b621d1ffb46493164fd62fb7a83ab0ff.eot?#iefix")format("embedded-opentype"),
    url("https://db.onlinewebfonts.com/t/b621d1ffb46493164fd62fb7a83ab0ff.woff2")format("woff2"),
    url("https://db.onlinewebfonts.com/t/b621d1ffb46493164fd62fb7a83ab0ff.woff")format("woff"),
    url("https://db.onlinewebfonts.com/t/b621d1ffb46493164fd62fb7a83ab0ff.ttf")format("truetype"),
    url("https://db.onlinewebfonts.com/t/b621d1ffb46493164fd62fb7a83ab0ff.svg#Mark W05 Medium")format("svg");
}

@font-face {
  font-family: 'Inter V Latin';
  src: url(https://www.riotgames.com/assets/font/inter-v/latin/dc131113894217b5031000575d9de002/Inter-Regular.woff2);
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

body {

    --bg-color: #0a0a0a;
    --fg-color: #f9f9f9;
    --riot-red: rgb(209, 54, 57);
    font-family: "Mark W05 Medium";
    color: var(--fg-color);
    background-color: var(--bg-color);
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 0;
    font-family: 'Inter V Latin', Arial, sans-serif;
}


h2 {
  font-family: 'Riot Sans Latin', Arial, sans-serif;
  font-size: 3em;
}


nav {
    font-family: "Mark W05 Medium";
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 20px;
    padding-left: 30px;
    font-size: 0.8em;
    position: fixed;
    top: 0; 
    z-index: 1000; 
}

nav.sticky {
    background: var(--bg-color);
    box-shadow: 0 1px 1px rgba(255,255,255,0.2);
}

nav.sticky .search-box{
    border: none;
    background-color: #2b2a29;
    color: #757575;
}


a {
    text-decoration: none;
    color: var(--fg-color);
}

.arrow-down {
    width: 10px;
    display: inline-block;
    vertical-align: top;
}

.logo {
    padding-top: 10px;
}

.another-logo {
    padding-left: 10px;
    width: 30px;
    display: inline-block;
}

.navbar-links {
    list-style: none;
    display: flex;
    justify-content: space-around;
    width: 50%;
}

.navbar-links a {
    position: relative;
    padding: 5px 20px;
}

.navbar-links a:hover {
    background-color: rgb(220, 220, 220, 0.3);
    border-radius: 10px;
}

.navbar-links a::after {
  content: '';
  position: absolute;
  left: 0;
  right: 0;
  bottom: -15px;
  border-radius: 10px;
  height: 3px;
  background-color: var(--riot-red);
  opacity: 0;
  transition: opacity 0.3s;
}

.navbar-links a:hover::after {
    opacity: 1;
}

.right-navbar {
    display: flex;
    flex: 6;
}

svg path {
  fill: var(--fg-color);
}


.left-navbar {
    margin-left: 10%;
    margin-right: 3%;
    display: flex;
    align-items: center;
    width: 20%;
    justify-content: space-between;
}

.search-box {
    margin: 5px;
    margin-left: 20px;
    display: flex;
    height: inherit;
    padding: 6px 20px;
    width: 80%;
    border: 1px solid var(--fg-color);
    border-radius: 20px;
    align-items: center;
    justify-content: space-between;
}

.search-icon {
    width: 18px;
}

.sign-in {
    background-color: var(--riot-red);
    padding: 8px 20px;
    border-radius: 20px;
    border: 1px solid var(--riot-red);
    text-wrap: nowrap;
    height: inherit;
    color: black;
}

.video-back {
  width: 100%;
  overflow: hidden;
  position: absolute;
  height: 88vh;
  top: 0;
  right: 0;
  z-index: -1;
  
}

.video-back video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.video-back::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  z-index: 0;
}

main {
    margin-top: 88vh;
}

#happening-section {
    background: radial-gradient(circle,rgba(30, 30, 30, 1) 0%, rgba(15, 15, 15, 1) 40%, rgba(0, 0, 0, 1) 60%);
    padding: 4%;
}

.heading-and {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.see-more {
    display: block;
    background-color: rgba(128,128,128,.2);
    border-radius: 10px;
    padding: 10px;
    font-family: Arial;
    text-transform: capitalize;
}

.hi-content-contain h3 {
    font-size: 2em;
}

.content-first {
    display: flex;
    justify-content: space-between;
    font-family: Arial, sans-serif !important;
}

.highlight-happen {
    width: 80%;
    height: 80vh;
}

.highlight-second {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-left: 25px;
    height: 80vh;
}


img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.sec-image-contain {
    border-radius: 10px;
    overflow: hidden;
}

.sec-content-contain {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    width: 70%;
}

.hi-image-contain {
    border-radius: 10px;
    overflow: hidden;

}

.hi-image-contain img {
    transition: transform 0.5s ease;
}

.hi-image-contain:hover img {
     transform: scale(1.1);
}
.second-card {
    display: flex;
    justify-content:space-around;
    background-color: rgba(128,128,128,.2);
    border-radius: 10px;
    height: 18vh;
    align-content: center;
    text-overflow: ellipsis;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.second-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 12px rgba(0,0,0,0.2);
}

.second-content {
    overflow: hidden;
    font-size: 1.1em;
    width: 80%;
    margin: auto;
}

.second-content h3 {
    display: -webkit-box;
    -webkit-line-clamp: 2;       /* limit to 2 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.source {
    display: flex;
    align-items: center;
    margin: auto;
}

.second-card .source {
    width: 80%;
}


.source-logo {
    width: 20px;
    padding: 5px;
    border-radius: 30px;
    margin-right: 5px;
    background-color: #141212;
}


.globe {
    width: 35px;
    padding: 5px 10px;
    object-fit: cover;
}

.globe:hover {
    background-color: rgb(220, 220, 220, 0.3);
    border-radius: 10px;
}

#games-section {
    padding-top: 4%;
    padding-left: 4%;
    padding-right: 4%;
    background-color: #2b2a29;
    padding-bottom: 10%;
}

.games-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 45px;
    margin-bottom: 2%;
}

.first-line {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 45vh;
}

.game-info {
    display: flex;
    justify-content: space-around;
    width: 49%;
    height: 100%;
    border-radius: 10px;
    border: 1px solid rgb(0, 0, 0, 0);
    justify-content: left;
}

.game-info:hover {
    border-color: #f1f1f1;
}

.plat-icons {
    display: flex;
    gap: 2px;
    width: fit-content;
    padding: 2px 3px;
    margin-left: 10%;
    background-color: rgb(240,240,240, 0.2);
    border-radius: 20px;
    align-items: center;
}

.plat-icons svg {
    width: 18px; 
    height: 18px;
    flex-shrink: 0;
}

.game-name {
    width: 65%;
    margin-top: 5%;
    margin-left: 5%;
}

.game-dets {
    height: 100%;
    width: 35%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.second-line {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 30vh;
}

.second-line .game-info {
    width: 32%;
}

.second-line + div {
    width: 70%;
    margin: auto;
}

.second-line + div .game-info {
    width: 49%;
}

#ene-line .game-info {
    border: 2px solid rgb(0,0,0,0);
}

#ene-line .game-info:hover {
    border: 2px solid rgb(0,0,0,0);
    border-left: 2px solid white;
    border-right: 2px solid gray;
}

.second-line + div .game-info .plat-icons{
    visibility: hidden;
}

#hiring-section {
    padding-left: 4%;
    background-color: #ebebeb;
    color: black;
    display: flex;
    margin-left: 0px;
}

.left-hire h2 {
    font-size: 3em;
    margin-top: 10%;
    margin-bottom: 0px;
}

.left-hire p {
    font-size: 1.25rem;
    color: #656462;
    line-height: 1.5;
    letter-spacing: -.03em;
    margin-top: 0px;
    font-weight: 600;
    max-width: 450px;
    text-align: center;
}



.left-hire {
    flex: 10;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding-bottom: 5%;
}

.right-hire {
    flex: 12;
}

.posoff {
    display: flex;
    width: 70%;
    padding: 5px;
    gap: 10px;
}

.in-posoff {
    display: flex;
    flex-direction: column;
    flex: 1;
    text-align: center;
    padding: 10px;
    font-weight: bold;
    color: #656462;
    background-color: rgba(173, 172, 170, .2);
    border-radius: 10px;
    font-size: 1.5em;
    /* transition: background 0.3s; */
}

.pos-num {
    font-size: 2.5em;
    color: black;
}

.in-posoff:hover {
  animation: enterColor 0.5s forwards;
}

@keyframes enterColor {
  0%   { background: rgba(173, 172, 170, .2); }
  50%  { background: rgba(173, 172, 170, .8); }
  100% { background: rgba(173, 172, 170, .6); }
}

.explore {
    font-size: 1.2em;
    font-weight: bold;
    width: fit-content;
    text-align: center;
    padding: 20px 60px;
    background-color: #d1363a;
    color: var(--fg-color);
    border-radius: 25px;
}

.right-hire {
    clip-path: polygon(10% 0, 100% 0, 100% 100%, 0 100%);
}

footer {
    display: flex;
    flex-direction: column;
    padding-top: 3%;
    margin-bottom: 0;
    padding-bottom: 4%;
    background-color: #2b2a29;
}

footer > * {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    max-width: 1440px;
}

.upper-footer {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 20px;
}

.footer-nav {
    list-style: none;
    display: flex;
    width: 80%;
    gap: 20px;
    flex-wrap: wrap;
    margin-top: 0px;
    padding: 0px 20px;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 0.7em;
}

.footer-nav li {
    padding: 1px 2px;
}

.footer-logo {
    padding: 10px 20px;
}

.footer-logo svg path:hover {
    fill: red;
}

.lower-footer {
    display: flex;
    justify-content: space-between;
}

.cook-copy {
    display: flex;
}

.social-media {
    display: flex;
    width: 15%;
    gap: 10px;
    justify-content: space-between;
}

.soc-icon {
    width: 15px;
    height: 15px;
    padding: 5px;
    align-items: center;
}

.soc-icon svg {
    width: 100%;
    height: 100%;
}

.soc-icon:hover svg path {
  fill: red;
}

.separator {
    height: 2px;
    margin: 0 auto;
    background-image: url(https://www.riotgames.com/assets/img/structure/ec52d55f0f379518c25d286fb69f4ea6/distressed-stroke.svg);
    background-repeat: repeat-x;
    background-position: 50% 50%;
    background-size: 420px 2px;
}

.lower-footer {
    margin-top: 2%;
}

.cook-copy {
    /* padding: 10px; */
    display: flex;
    align-items: center;
    font-size: 0.7em;
}

.cookie {
    border-right: 2px solid white;
    align-items: center;
    font-size: 1.2em;
}

.cook-copy * {
    padding: 1px 10px;
}

.cookie {
    padding-left: 0;
}



.surface {
    display: flex;
    width: fit-content;
    gap: 10px;
    text-transform: uppercase;
    font-size: 0.8em;
}

.go-top {
    width: 10px;
    height: 10px;
}

.go-top svg {
    width: 100%;
    height: 100%;
}

.go-top:hover svg path {
    fill: red;
}
html {
  scroll-behavior: smooth;
}